Skip to main content
`Ctrl`+`K`

# PetscSectionRestoreFieldPointSyms

Restore the symmetries returned by `PetscSectionGetFieldPointSyms()`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionRestoreFieldPointSyms(PetscSection section, PetscInt field, PetscInt numPoints, const PetscInt *points, const PetscInt ***perms, const PetscScalar ***rots)

Not Collective

## Input Parameters

- section - the section

- field - the field number

- numPoints - the number of points

- points - an array of size 2 * `numPoints`, containing a list of (point, orientation) pairs. (An orientation is an arbitrary integer: its interpretation is up to sym. Orientations are used by `DM`: for their interpretation in that context, see `DMPlexGetConeOrientation()`).

- perms - The permutations for the given orientations: set to NULL at conclusion

- rots - The field rotations symmetries for the given orientations: set to NULL at conclusion

## See Also

PetscSection, `PetscSectionSym`, `PetscSectionRestorePointSyms()`, `petscSectionGetFieldPointSyms()`, `PetscSectionSymCreate()`, `PetscSectionSetSym()`, `PetscSectionGetSym()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages